1

I've upgraded our kubernetes cluster before to 1.22.7 and get nodes says so.

kubectl get nodes

ubd Ready 337d v1.22.7

Now I wanted to upgrade to 1.23.7 so I did the following steps on master and all workers

  • sudo apt-mark unhold kubeadm && sudo apt-get update && sudo apt-get install -y kubeadm=1.23.7-00 && sudo apt-mark hold kubeadm
  • sudo kubeadm upgrade node (upgrade plan/apply on master)
  • sudo apt-mark unhold kubeadm && sudo apt-get update && sudo apt-get install -y kubelet=1.23.7-00 && sudo apt-mark hold kubelet
  • sudo systemctl daemon-reload
  • sudo systemctl restart kubelet

So new version kubeadm installed:

kubeadm version: Major:"1", Minor:"23", GitVersion:"v1.23.7"

kubectl -n kube-system edit cm kubeadm-config

says kubernetesVersion: v1.23.7

All good so far.

But then

kubectl get nodes

Still says 1.22.7 is used!

ubd Ready 223d v1.22.7

Strange! Why is the old version still displayed when all other commands like kubeadm version say v1.23.7??

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.